Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class RSAPublicKeyStructure

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.RSAPublicKeyStructure

All Implemented Interfaces:
  ASN1Encodable, Encodable

Deprecated. use org.bouncycastle.asn1.pkcs.RSAPublicKey

public class RSAPublicKeyStructure
extends ASN1Object

Constructor Summary
`RSAPublicKeyStructure(ASN1Sequence seq)` Deprecated.
`RSAPublicKeyStructure(java.math.BigInteger modulus, java.math.BigInteger publicExponent)` Deprecated.

Method Summary
`static RSAPublicKeyStructure` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Deprecated.
`static RSAPublicKeyStructure` | `getInstance(java.lang.Object obj)` Deprecated.
`java.math.BigInteger` | `getModulus()` Deprecated.
`java.math.BigInteger` | `getPublicExponent()` Deprecated.
`ASN1Primitive` | `toASN1Primitive()` Deprecated. This outputs the key in PKCS1v2 format.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAPublicKeyStructure

    public RSAPublicKeyStructure(java.math.BigInteger modulus,
                                 java.math.BigInteger publicExponent)

  Deprecated.

### RSAPublicKeyStructure

    public RSAPublicKeyStructure(ASN1Sequence seq)

  Deprecated.

Method Detail

### getInstance

    public static RSAPublicKeyStructure getInstance(ASN1TaggedObject obj,
                                                    boolean explicit)

  Deprecated.

### getInstance

    public static RSAPublicKeyStructure getInstance(java.lang.Object obj)

  Deprecated.

### getModulus

    public java.math.BigInteger getModulus()

  Deprecated.

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Deprecated.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Deprecated.
  This outputs the key in PKCS1v2 format. RSAPublicKey ::= SEQUENCE { modulus INTEGER, -- n publicExponent INTEGER, -- e }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD